package main

import (
	"github.com/kataras/iris/v12"
)

func main() {
	app := iris.New()

	booksAPI := app.Party("/")
	{
		booksAPI.Use(iris.Compression)

		// GET: http://localhost:8080/books
		booksAPI.Get("/hello", func(ctx iris.Context) {
			ctx.JSON(map[string]any{"hello": "321"})
		})
	}

	app.Listen(":9090")
}
